Bug 179557 - iMac power management thinks the system is a Laptop.
iMac power management thinks the system is a Laptop.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
powerpc Linux
medium Severity low
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-01 08:08 EST by Bill Jones
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 18:46:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Jones 2006-02-01 08:08:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
iMac power management thinks the system is a Laptop; additionally /sbin/halt does not poweroff the system -- it reboots and I must enter OF to execute shut-down manually.  Specifically -

... /sbin/poweroff executes a reboot
... /sbin/halt as well as /sbin/halt -p and/or /sbin/halt -h -p

all simply reboot the system.

Version-Release number of selected component (if applicable):
lastest updates off PPC rawhide

How reproducible:
Always

Steps to Reproduce:
1.  Try to execute shutdown from the Log-in GUI or poweroff or halt -p
2.  system shuts down and reboots
3.  must select O from the 1st stage loaded to enter OF and execute shut-down
  

Actual Results:  System properly shutdowns but then the System reboots

Expected Results:  I expect a "power off" condition after a proper system shutdown.

Additional info:

This has been a problem since FC5T1
Comment 1 Phil Knirsch 2006-02-10 08:52:42 EST
Hm, the real power off should be handled by the kernel, so i think this is
rather a kernel than a userland tool bug as it simply initiates the whole
shutdown process (by going to init 6 etc).

Reassigning to kernel.

Read ya, Phil
Comment 2 Rahul Sundaram 2006-02-20 06:00:40 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 3 Dave Jones 2006-10-16 14:25:04 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Bill Jones 2006-10-16 18:24:10 EDT
I've long since switched to Intel FC6; please close.

Note You need to log in before you can comment on or make changes to this bug.